[SciPy-User] Numpy / Scipy build / test errors on Mac OS X Lion with Macports

Christoph Deil deil.christoph@googlemail....
Wed Nov 23 08:15:47 CST 2011


Hi,

I would like to use numpy / scipy git master on Mac OS X Lion with XCode 4.2.

The recommendation at http://www.scipy.org/Installing_SciPy/Mac_OS_X is to use the official Python distribution, but I already have a ton of other libraries and python packages (e.g. ipython 0.11 with working qtconsole) installed with the Macports python, and I guess it is not possible to mix packages installed with the Macports / official python?

Would it be helpful if I file tickets with the build and test logs for numpy and scipy using the XCode and Macports compilers, or are these problems well-known and simply too hard to fix?

I frequently had build problems with numpy / scipy also on other machines and would like to understand the issues better.
E.g. does numpy need a Fortran compiler or is it all C/C++?
Why are there often problems with gfortran versions/builds other than http://r.research.att.com/gfortran-lion-5666-3.pkg? Is the problem that the fortran compilers or the numpy / scipy libraries are non-standard-complient?
Does anyone have a reference that explains building C/C++/Fortran Python extensions in general or specifically for numpy / scipy?

Thanks!
Christoph



More information about the SciPy-User mailing list